
# Installation
pip install . --user
pip install tox --user

In order to run the tests you need to install the [scifolder
package](https://gitlab.com/henrik_indiscale/scifolder) by Henrik tom
Wörden.

# Run Unit Tests
tox

# Run Integration Tests Locally

1. Change directory to `integrationtests/`.
2. Mount `extroot` to the folder that will be used as
   extroot. E.g. `sudo mount -o bind extroot
   ../../caosdb-deploy/profiles/empty/paths/extroot` (or whatever path
   the extroot of the empty profile to be used is located at).
3. Start an empty (!) CaosDB instance (with the mounted extroot). The
   database will be cleared during testing, so it's important to use
   an empty insctance.
4. Run `test.sh`.

# Code Formatting
autopep8 -i -r ./

# Dependencies

test:
- scifolder package from https://gitlab.com/henrik_indiscale/scifolder
